Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039746
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2018-09-06 11:462018-12-13 07:47
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision9633d8833b3a
ProjectionnoneETAnoneTarget VersionRR18Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039746: payment method has been deactivated when there is a cashup open, and sales were done in this payment method

DescriptionCurrently it's possible to disable a payment method for a Terminal, even if there is currently a cashup open, and sales were done for this payment method.

This will then lead to problems when trying to process the cashup.
Steps To Reproduce[POS]
. login
. do sales withi payment method "cash"

[BO]
. deactivate payment method "Cash" of this terminal

[POS]
- refresh web pos, and then do cashup
- notice the cashup went to errors while importing
Proposed SolutionIt should not be possible to disable the payment method of a terminal, if the terminal has an open cashup, and contains sales for this payment method.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039236 closedranjith_qualiantech_com payment method has been deactivated when there is a cashup open, and sales were done in this payment method 

-  Notes
(0108566)
hgbot (developer)
2018-12-13 07:47

Repository: retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal
Changeset: 9633d8833b3a6e85013b97234c33d7ace0942296
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:17:05 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal/rev/9633d8833b3a6e85013b97234c33d7ace0942296 [^]

Fixed issue 39746 : Added Event Handler for Payment Method to check cashup is processed

* Added Event Handler for payment method while deactivating or removing it.
* Payment method can be deactivated or removed only when Cashup should be processed for all terminals

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/event/PaymentMethodTypeEventHandler.java
---
(0108568)
hgbot (developer)
2018-12-13 07:47

Repository: retail/backports/3.0RR18Q4.1/pi-mobile
Changeset: 28b72f4d4df6284130c667d7146b2cf308f5cbab
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:15:09 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.1/pi-mobile/rev/28b72f4d4df6284130c667d7146b2cf308f5cbab [^]

Verifies issue 39746 : Modified Test "I35320_VerifyLayawayButtonEnabled"

* Modified Test I35320_VerifyLayawayButtonEnabled, I34663_ExcludePaymentsNotActive
* Before deactivating the payment method, Cashup should be done

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I35320_VerifyLayawayButtonEnabled.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sampledata/I34663_ExcludePaymentsNotActive.java
---

- Issue History
Date Modified Username Field Change
2018-12-04 12:57 marvintm Type defect => backport
2018-12-04 12:57 marvintm Target Version => RR18Q4.1
2018-12-13 07:47 hgbot Checkin
2018-12-13 07:47 hgbot Note Added: 0108566
2018-12-13 07:47 hgbot Status scheduled => resolved
2018-12-13 07:47 hgbot Resolution open => fixed
2018-12-13 07:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/405b5ad065bf619565c26ec73d45eaf4d8bf34b8 [^] => http://code.openbravo.com/retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal/rev/9633d8833b3a6e85013b97234c33d7ace0942296 [^]
2018-12-13 07:47 hgbot Checkin
2018-12-13 07:47 hgbot Note Added: 0108568


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker